# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "flashthing"
version = "0.2.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "tool for flashing your Spotify Car Thing"
homepage = "https://github.com/JoeyEamigh/flashthing"
documentation = "https://github.com/JoeyEamigh/flashthing"
readme = "README.md"
keywords = [
    "spotify",
    "car-thing",
    "flashthing",
]
license = "MIT"
repository = "https://github.com/JoeyEamigh/flashthing.git"

[features]
default = []
instrument = []

[lib]
name = "flashthing"
path = "src/lib.rs"

[dependencies.lazy_static]
version = "1.5.0"

[dependencies.rusb]
version = "0.9.4"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.150"

[dependencies.serde_with]
version = "3.20.0"

[dependencies.thiserror]
version = "2.0.18"

[dependencies.tracing]
version = "0.1.44"

[dependencies.zip]
version = "2.4.2"

[target.'cfg(target_os = "linux")'.dependencies.whoami]
version = "2.1.2"
